1.0
1.0
get /v1/clusters/{cluster_id}/nodepools
Description
get nodepools list
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | 클러스터 ID Example : 70a599e031e749b7b260868f441e862b | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | nodepool_name optional | 노드풀 이름 Example : sample-nodepool | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | NodepoolListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/nodepools
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = ske 1.0"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"nodepools": [
{
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"auto_recovery_enabled": "",
"auto_scale_enabled": "",
"current_node_count": "1",
"desired_node_count": "2",
"id": "bdfda539-bd2e-4a5c-9021-ec6d52d1ca79",
"image": {
"custom_image_name": "custom-image",
"os": "ubuntu",
"os_version": "22.04"
},
"kubernetes_version": "v1.29.8",
"name": "sample-nodepool",
"server_type": {
"description": "Standard",
"id": "10a599e031e749b7b260868f441e862b"
},
"status": "Running",
"volume_type": {
"id": "10a599e031e749b7b260868f441e862b",
"name": "SSD"
}
}
]
}